apiVersion: v1
items:
- apiVersion: v1
  kind: Pod
  metadata:
    annotations:
      scheduler.alpha.kubernetes.io/critical-pod: ""
    creationTimestamp: "2020-09-05T11:58:18Z"
    generateName: coredns-588fd544bf-
    labels:
      k8s-app: kube-dns
      pod-template-hash: 588fd544bf
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:scheduler.alpha.kubernetes.io/critical-pod: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:k8s-app: {}
            f:pod-template-hash: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"03442379-fca8-4064-a88c-9be9687416e7"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:spec:
          f:containers:
            k:{"name":"coredns"}:
              .: {}
              f:args: {}
              f:image: {}
              f:imagePullPolicy: {}
              f:livenessProbe:
                .: {}
                f:failureThreshold: {}
                f:httpGet:
                  .: {}
                  f:path: {}
                  f:port: {}
                  f:scheme: {}
                f:initialDelaySeconds: {}
                f:periodSeconds: {}
                f:successThreshold: {}
                f:timeoutSeconds: {}
              f:name: {}
              f:ports:
                .: {}
                k:{"containerPort":53,"protocol":"TCP"}:
                  .: {}
                  f:containerPort: {}
                  f:name: {}
                  f:protocol: {}
                k:{"containerPort":53,"protocol":"UDP"}:
                  .: {}
                  f:containerPort: {}
                  f:name: {}
                  f:protocol: {}
                k:{"containerPort":9153,"protocol":"TCP"}:
                  .: {}
                  f:containerPort: {}
                  f:name: {}
                  f:protocol: {}
              f:readinessProbe:
                .: {}
                f:failureThreshold: {}
                f:httpGet:
                  .: {}
                  f:path: {}
                  f:port: {}
                  f:scheme: {}
                f:periodSeconds: {}
                f:successThreshold: {}
                f:timeoutSeconds: {}
              f:resources:
                .: {}
                f:limits:
                  .: {}
                  f:memory: {}
                f:requests:
                  .: {}
                  f:cpu: {}
                  f:memory: {}
              f:securityContext:
                .: {}
                f:allowPrivilegeEscalation: {}
                f:capabilities:
                  .: {}
                  f:add: {}
                  f:drop: {}
                f:readOnlyRootFilesystem: {}
              f:terminationMessagePath: {}
              f:terminationMessagePolicy: {}
              f:volumeMounts:
                .: {}
                k:{"mountPath":"/etc/coredns"}:
                  .: {}
                  f:mountPath: {}
                  f:name: {}
                  f:readOnly: {}
          f:dnsPolicy: {}
          f:enableServiceLinks: {}
          f:priorityClassName: {}
          f:restartPolicy: {}
          f:schedulerName: {}
          f:securityContext: {}
          f:serviceAccount: {}
          f:serviceAccountName: {}
          f:terminationGracePeriodSeconds: {}
          f:tolerations: {}
          f:volumes:
            .: {}
            k:{"name":"config-volume"}:
              .: {}
              f:configMap:
                .: {}
                f:defaultMode: {}
                f:items: {}
                f:name: {}
              f:name: {}
      manager: kube-controller-manager
      operation: Update
      time: "2020-09-05T11:58:18Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions:
            k:{"type":"ContainersReady"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
            k:{"type":"Initialized"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
            k:{"type":"Ready"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
          f:containerStatuses: {}
          f:hostIP: {}
          f:phase: {}
          f:podIP: {}
          f:podIPs:
            .: {}
            k:{"ip":"10.1.51.95"}:
              .: {}
              f:ip: {}
          f:startTime: {}
      manager: kubelet
      operation: Update
      time: "2020-09-08T08:15:50Z"
    name: coredns-588fd544bf-szr7f
    namespace: kube-system
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: ReplicaSet
      name: coredns-588fd544bf
      uid: 03442379-fca8-4064-a88c-9be9687416e7
    resourceVersion: "42576"
    selfLink: /api/v1/namespaces/kube-system/pods/coredns-588fd544bf-szr7f
    uid: 27ed9dba-efb9-458e-b65c-2202f8ea7339
  spec:
    containers:
    - args:
      - -conf
      - /etc/coredns/Corefile
      image: coredns/coredns:1.6.6
      imagePullPolicy: IfNotPresent
      livenessProbe:
        failureThreshold: 5
        httpGet:
          path: /health
          port: 8080
          scheme: HTTP
        initialDelaySeconds: 60
        periodSeconds: 10
        successThreshold: 1
        timeoutSeconds: 5
      name: coredns
      ports:
      - containerPort: 53
        name: dns
        protocol: UDP
      - containerPort: 53
        name: dns-tcp
        protocol: TCP
      - containerPort: 9153
        name: metrics
        protocol: TCP
      readinessProbe:
        failureThreshold: 3
        httpGet:
          path: /ready
          port: 8181
          scheme: HTTP
        periodSeconds: 10
        successThreshold: 1
        timeoutSeconds: 1
      resources:
        limits:
          memory: 170Mi
        requests:
          cpu: 100m
          memory: 70Mi
      securityContext:
        allowPrivilegeEscalation: false
        capabilities:
          add:
          - NET_BIND_SERVICE
          drop:
          - all
        readOnlyRootFilesystem: true
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: File
      volumeMounts:
      - mountPath: /etc/coredns
        name: config-volume
        readOnly: true
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: coredns-token-w594r
        readOnly: true
    dnsPolicy: Default
    enableServiceLinks: true
    nodeName: tamer-aspire-e5-575g
    priority: 2000000000
    priorityClassName: system-cluster-critical
    restartPolicy: Always
    schedulerName: default-scheduler
    securityContext: {}
    serviceAccount: coredns
    serviceAccountName: coredns
    terminationGracePeriodSeconds: 30
    tolerations:
    - key: CriticalAddonsOnly
      operator: Exists
    - effect: NoExecute
      key: node.kubernetes.io/not-ready
      operator: Exists
      tolerationSeconds: 300
    - effect: NoExecute
      key: node.kubernetes.io/unreachable
      operator: Exists
      tolerationSeconds: 300
    volumes:
    - configMap:
        defaultMode: 420
        items:
        - key: Corefile
          path: Corefile
        name: coredns
      name: config-volume
    - name: coredns-token-w594r
      secret:
        defaultMode: 420
        secretName: coredns-token-w594r
  status:
    conditions:
    - lastProbeTime: null
      lastTransitionTime: "2020-09-05T11:58:18Z"
      status: "True"
      type: Initialized
    - lastProbeTime: null
      lastTransitionTime: "2020-09-08T08:15:47Z"
      status: "True"
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: "2020-09-08T08:15:47Z"
      status: "True"
      type: ContainersReady
    - lastProbeTime: null
      lastTransitionTime: "2020-09-05T11:58:18Z"
      status: "True"
      type: PodScheduled
    containerStatuses:
    - containerID: containerd://d731cec1523fe9a659cdd1a5043c1583b9fc49ec33c6f96f4dc372b3e0eccb6a
      image: docker.io/coredns/coredns:1.6.6
      imageID: docker.io/coredns/coredns@sha256:41bee6992c2ed0f4628fcef75751048927bcd6b1cee89c79f6acb63ca5474d5a
      lastState:
        terminated:
          containerID: containerd://4b77242e6c0e40be9fb1cc0f30085a849e181d43ed41119b46fcb91d969b590a
          exitCode: 255
          finishedAt: "2020-09-08T08:15:20Z"
          reason: Unknown
          startedAt: "2020-09-06T06:01:43Z"
      name: coredns
      ready: true
      restartCount: 4
      started: true
      state:
        running:
          startedAt: "2020-09-08T08:15:47Z"
    hostIP: 172.20.200.118
    phase: Running
    podIP: 10.1.51.95
    podIPs:
    - ip: 10.1.51.95
    qosClass: Burstable
    startTime: "2020-09-05T11:58:18Z"
- apiVersion: v1
  kind: Pod
  metadata:
    creationTimestamp: "2020-09-05T11:58:25Z"
    generateName: hostpath-provisioner-75fdc8fccd-
    labels:
      k8s-app: hostpath-provisioner
      pod-template-hash: 75fdc8fccd
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:generateName: {}
          f:labels:
            .: {}
            f:k8s-app: {}
            f:pod-template-hash: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"0bb8c4ed-a9f5-4bde-8344-3e6eaff37b11"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:spec:
          f:containers:
            k:{"name":"hostpath-provisioner"}:
              .: {}
              f:env:
                .: {}
                k:{"name":"NODE_NAME"}:
                  .: {}
                  f:name: {}
                  f:valueFrom:
                    .: {}
                    f:fieldRef:
                      .: {}
                      f:apiVersion: {}
                      f:fieldPath: {}
                k:{"name":"PV_DIR"}:
                  .: {}
                  f:name: {}
                  f:value: {}
              f:image: {}
              f:imagePullPolicy: {}
              f:name: {}
              f:resources: {}
              f:terminationMessagePath: {}
              f:terminationMessagePolicy: {}
              f:volumeMounts:
                .: {}
                k:{"mountPath":"/var/snap/microk8s/common/default-storage"}:
                  .: {}
                  f:mountPath: {}
                  f:name: {}
          f:dnsPolicy: {}
          f:enableServiceLinks: {}
          f:restartPolicy: {}
          f:schedulerName: {}
          f:securityContext: {}
          f:serviceAccount: {}
          f:serviceAccountName: {}
          f:terminationGracePeriodSeconds: {}
          f:volumes:
            .: {}
            k:{"name":"pv-volume"}:
              .: {}
              f:hostPath:
                .: {}
                f:path: {}
                f:type: {}
              f:name: {}
      manager: kube-controller-manager
      operation: Update
      time: "2020-09-05T11:58:25Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions:
            k:{"type":"ContainersReady"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
            k:{"type":"Initialized"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
            k:{"type":"Ready"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
          f:containerStatuses: {}
          f:hostIP: {}
          f:phase: {}
          f:podIP: {}
          f:podIPs:
            .: {}
            k:{"ip":"10.1.51.97"}:
              .: {}
              f:ip: {}
          f:startTime: {}
      manager: kubelet
      operation: Update
      time: "2020-09-08T08:15:49Z"
    name: hostpath-provisioner-75fdc8fccd-cn98g
    namespace: kube-system
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: ReplicaSet
      name: hostpath-provisioner-75fdc8fccd
      uid: 0bb8c4ed-a9f5-4bde-8344-3e6eaff37b11
    resourceVersion: "42568"
    selfLink: /api/v1/namespaces/kube-system/pods/hostpath-provisioner-75fdc8fccd-cn98g
    uid: 4d6c74f7-7e40-4f15-9650-aefdc73749a3
  spec:
    containers:
    - env:
      - name: NODE_NAME
        valueFrom:
          fieldRef:
            apiVersion: v1
            fieldPath: spec.nodeName
      - name: PV_DIR
        value: /var/snap/microk8s/common/default-storage
      image: cdkbot/hostpath-provisioner-amd64:1.0.0
      imagePullPolicy: IfNotPresent
      name: hostpath-provisioner
      resources: {}
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: File
      volumeMounts:
      - mountPath: /var/snap/microk8s/common/default-storage
        name: pv-volume
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: microk8s-hostpath-token-c9wkn
        readOnly: true
    dnsPolicy: ClusterFirst
    enableServiceLinks: true
    nodeName: tamer-aspire-e5-575g
    priority: 0
    restartPolicy: Always
    schedulerName: default-scheduler
    securityContext: {}
    serviceAccount: microk8s-hostpath
    serviceAccountName: microk8s-hostpath
    terminationGracePeriodSeconds: 30
    tolerations:
    - effect: NoExecute
      key: node.kubernetes.io/not-ready
      operator: Exists
      tolerationSeconds: 300
    - effect: NoExecute
      key: node.kubernetes.io/unreachable
      operator: Exists
      tolerationSeconds: 300
    volumes:
    - hostPath:
        path: /var/snap/microk8s/common/default-storage
        type: ""
      name: pv-volume
    - name: microk8s-hostpath-token-c9wkn
      secret:
        defaultMode: 420
        secretName: microk8s-hostpath-token-c9wkn
  status:
    conditions:
    - lastProbeTime: null
      lastTransitionTime: "2020-09-05T11:58:30Z"
      status: "True"
      type: Initialized
    - lastProbeTime: null
      lastTransitionTime: "2020-09-08T08:15:47Z"
      status: "True"
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: "2020-09-08T08:15:47Z"
      status: "True"
      type: ContainersReady
    - lastProbeTime: null
      lastTransitionTime: "2020-09-05T11:58:25Z"
      status: "True"
      type: PodScheduled
    containerStatuses:
    - containerID: containerd://e4c2a296eca5705614f274661885c808e23b2f148ff8ccc5dd5c6bd5925da6a8
      image: docker.io/cdkbot/hostpath-provisioner-amd64:1.0.0
      imageID: docker.io/cdkbot/hostpath-provisioner-amd64@sha256:339f78eabc68ffb1656d584e41f121cb4d2b667565428c8dde836caf5b8a0228
      lastState:
        terminated:
          containerID: containerd://e60e66f147d09d869a204c78535c6114d8b9b34e29b0c18fef98997eba5eec66
          exitCode: 255
          finishedAt: "2020-09-08T08:15:20Z"
          reason: Unknown
          startedAt: "2020-09-06T06:01:46Z"
      name: hostpath-provisioner
      ready: true
      restartCount: 4
      started: true
      state:
        running:
          startedAt: "2020-09-08T08:15:47Z"
    hostIP: 172.20.200.118
    phase: Running
    podIP: 10.1.51.97
    podIPs:
    - ip: 10.1.51.97
    qosClass: BestEffort
    startTime: "2020-09-05T11:58:30Z"
- apiVersion: v1
  kind: Pod
  metadata:
    creationTimestamp: "2020-09-05T12:34:26Z"
    generateName: tiller-deploy-87dc4fb9d-
    labels:
      app: helm
      name: tiller
      pod-template-hash: 87dc4fb9d
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:generateName: {}
          f:labels:
            .: {}
            f:app: {}
            f:name: {}
            f:pod-template-hash: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"0537e541-97b5-4969-ae8b-d55ea14c2c89"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:spec:
          f:automountServiceAccountToken: {}
          f:containers:
            k:{"name":"tiller"}:
              .: {}
              f:env:
                .: {}
                k:{"name":"TILLER_HISTORY_MAX"}:
                  .: {}
                  f:name: {}
                  f:value: {}
                k:{"name":"TILLER_NAMESPACE"}:
                  .: {}
                  f:name: {}
                  f:value: {}
              f:image: {}
              f:imagePullPolicy: {}
              f:livenessProbe:
                .: {}
                f:failureThreshold: {}
                f:httpGet:
                  .: {}
                  f:path: {}
                  f:port: {}
                  f:scheme: {}
                f:initialDelaySeconds: {}
                f:periodSeconds: {}
                f:successThreshold: {}
                f:timeoutSeconds: {}
              f:name: {}
              f:ports:
                .: {}
                k:{"containerPort":44134,"protocol":"TCP"}:
                  .: {}
                  f:containerPort: {}
                  f:name: {}
                  f:protocol: {}
                k:{"containerPort":44135,"protocol":"TCP"}:
                  .: {}
                  f:containerPort: {}
                  f:name: {}
                  f:protocol: {}
              f:readinessProbe:
                .: {}
                f:failureThreshold: {}
                f:httpGet:
                  .: {}
                  f:path: {}
                  f:port: {}
                  f:scheme: {}
                f:initialDelaySeconds: {}
                f:periodSeconds: {}
                f:successThreshold: {}
                f:timeoutSeconds: {}
              f:resources: {}
              f:terminationMessagePath: {}
              f:terminationMessagePolicy: {}
          f:dnsPolicy: {}
          f:enableServiceLinks: {}
          f:restartPolicy: {}
          f:schedulerName: {}
          f:securityContext: {}
          f:terminationGracePeriodSeconds: {}
      manager: kube-controller-manager
      operation: Update
      time: "2020-09-05T12:34:26Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:conditions:
            k:{"type":"ContainersReady"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
            k:{"type":"Initialized"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
            k:{"type":"Ready"}:
              .: {}
              f:lastProbeTime: {}
              f:lastTransitionTime: {}
              f:status: {}
              f:type: {}
          f:containerStatuses: {}
          f:hostIP: {}
          f:phase: {}
          f:podIP: {}
          f:podIPs:
            .: {}
            k:{"ip":"10.1.51.96"}:
              .: {}
              f:ip: {}
          f:startTime: {}
      manager: kubelet
      operation: Update
      time: "2020-09-08T08:15:53Z"
    name: tiller-deploy-87dc4fb9d-wl8rr
    namespace: kube-system
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: ReplicaSet
      name: tiller-deploy-87dc4fb9d
      uid: 0537e541-97b5-4969-ae8b-d55ea14c2c89
    resourceVersion: "42587"
    selfLink: /api/v1/namespaces/kube-system/pods/tiller-deploy-87dc4fb9d-wl8rr
    uid: e8345f07-5f2d-4d1f-b655-1fc196c51805
  spec:
    automountServiceAccountToken: true
    containers:
    - env:
      - name: TILLER_NAMESPACE
        value: kube-system
      - name: TILLER_HISTORY_MAX
        value: "0"
      image: gcr.io/kubernetes-helm/tiller:v2.16.0
      imagePullPolicy: IfNotPresent
      livenessProbe:
        failureThreshold: 3
        httpGet:
          path: /liveness
          port: 44135
          scheme: HTTP
        initialDelaySeconds: 1
        periodSeconds: 10
        successThreshold: 1
        timeoutSeconds: 1
      name: tiller
      ports:
      - containerPort: 44134
        name: tiller
        protocol: TCP
      - containerPort: 44135
        name: http
        protocol: TCP
      readinessProbe:
        failureThreshold: 3
        httpGet:
          path: /readiness
          port: 44135
          scheme: HTTP
        initialDelaySeconds: 1
        periodSeconds: 10
        successThreshold: 1
        timeoutSeconds: 1
      resources: {}
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: File
      volumeMounts:
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: default-token-cbstc
        readOnly: true
    dnsPolicy: ClusterFirst
    enableServiceLinks: true
    nodeName: tamer-aspire-e5-575g
    priority: 0
    restartPolicy: Always
    schedulerName: default-scheduler
    securityContext: {}
    serviceAccount: default
    serviceAccountName: default
    terminationGracePeriodSeconds: 30
    tolerations:
    - effect: NoExecute
      key: node.kubernetes.io/not-ready
      operator: Exists
      tolerationSeconds: 300
    - effect: NoExecute
      key: node.kubernetes.io/unreachable
      operator: Exists
      tolerationSeconds: 300
    volumes:
    - name: default-token-cbstc
      secret:
        defaultMode: 420
        secretName: default-token-cbstc
  status:
    conditions:
    - lastProbeTime: null
      lastTransitionTime: "2020-09-05T12:34:26Z"
      status: "True"
      type: Initialized
    - lastProbeTime: null
      lastTransitionTime: "2020-09-08T08:15:53Z"
      status: "True"
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: "2020-09-08T08:15:53Z"
      status: "True"
      type: ContainersReady
    - lastProbeTime: null
      lastTransitionTime: "2020-09-05T12:34:26Z"
      status: "True"
      type: PodScheduled
    containerStatuses:
    - containerID: containerd://70f36baaf3774ce52d76c1b1e4147f9523b7e71aa2d16b7627f91af2b7be6146
      image: gcr.io/kubernetes-helm/tiller:v2.16.0
      imageID: gcr.io/kubernetes-helm/tiller@sha256:9f766b2adc98c3c47b9858b8df7180b4cda217fa64a0a3d47a756d8cfbeb5ac5
      lastState:
        terminated:
          containerID: containerd://9ede7a747defd8b6c1332d233493cdc467fb221c87ebd69719c2e22e1f0b5ecf
          exitCode: 255
          finishedAt: "2020-09-08T08:15:20Z"
          reason: Unknown
          startedAt: "2020-09-06T06:01:44Z"
      name: tiller
      ready: true
      restartCount: 4
      started: true
      state:
        running:
          startedAt: "2020-09-08T08:15:47Z"
    hostIP: 172.20.200.118
    phase: Running
    podIP: 10.1.51.96
    podIPs:
    - ip: 10.1.51.96
    qosClass: BestEffort
    startTime: "2020-09-05T12:34:26Z"
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""
